Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djepJUnit
Class XJepTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.lsmp.djepJUnit.JepTest
                  org.lsmp.djepJUnit.XJepTest

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  DJepTest

    public class XJepTest

extends JepTest

Author:
  Rich Morris Created on 17-Apr-2005

Field Summary

Fields inherited from class org.lsmp.djepJUnit.JepTest
`SHOW_BAD`

Constructor Summary
`XJepTest(java.lang.String name)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `parsePreprocSimp(java.lang.String expr)`
`Node` | `parseProcSimpEval(java.lang.String expr, java.lang.Object expected)`
`protected void` | `setUp()` Run before each test.
`void` | `simplifyTest(java.lang.String expr, java.lang.String expected)`
`void` | `simplifyTestString(java.lang.String expr, java.lang.String expected)`
`static junit.framework.Test` | `suite()`
`void` | `testBad()`
`void` | `testDefine()`
`void` | `testFormat()`
`void` | `testHex()`
`void` | `testLogical()`
`void` | `testMacroFun()`
`void` | `testPrint()`
`void` | `testReentrant()`
`void` | `testSimp()`
`void` | `testSum()`
`void` | `testUndecVar()`
`void` | `testVariableReuse()`
`void` | `testVarInEqn()`

Methods inherited from class org.lsmp.djepJUnit.JepTest
`calcValue, calcValue, complexValueTest, myAssertEquals, myAssertNaN, testAssign, testAssign2, testBinom, testComplex, testDotInName, testFunction, testGood, testIf, testNaN, testNumParam, testSimpleSum, testUndeclared, valueTest, valueTest, valueTest, valueTest, valueTestInt, valueTestNaN`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XJepTest

    public XJepTest(java.lang.String name)

Method Detail

### suite

    public static junit.framework.Test suite()

### main

    public static void main(java.lang.String[] args)

### setUp

    protected void setUp()

  Description copied from class: `JepTest`
  Run before each test.

  Overrides:
    `setUp` in class `JepTest`

### parsePreprocSimp

    public java.lang.String parsePreprocSimp(java.lang.String expr)
                                      throws ParseException

  Throws:
    `ParseException`

### simplifyTestString

    public void simplifyTestString(java.lang.String expr,
                                   java.lang.String expected)
                            throws ParseException

  Throws:
    `ParseException`

### simplifyTest

    public void simplifyTest(java.lang.String expr,
                             java.lang.String expected)
                      throws ParseException

  Throws:
    `ParseException`

### parseProcSimpEval

    public Node parseProcSimpEval(java.lang.String expr,
                                  java.lang.Object expected)
                           throws ParseException,
                                  java.lang.Exception

  Throws:
    `ParseException`
    `java.lang.Exception`

### testLogical

    public void testLogical()
                     throws java.lang.Exception

  Overrides:
    `testLogical` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testPrint

    public void testPrint()
                   throws ParseException

  Throws:
    `ParseException`

### testSimp

    public void testSimp()
                  throws ParseException

  Throws:
    `ParseException`

### testMacroFun

    public void testMacroFun()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testVariableReuse

    public void testVariableReuse()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testReentrant

    public void testReentrant()
                       throws ParseException,
                              java.lang.Exception

  Throws:
    `ParseException`
    `java.lang.Exception`

### testFormat

    public void testFormat()
                    throws ParseException

  Throws:
    `ParseException`

### testVarInEqn

    public void testVarInEqn()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testUndecVar

    public void testUndecVar()
                      throws ParseException

  Throws:
    `ParseException`

### testSum

    public void testSum()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testHex

    public void testHex()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testDefine

    public void testDefine()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBad

    public void testBad()
                 throws java.lang.Exception

  Overrides:
    `testBad` in class `JepTest`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems